package com.persagy.apm.energyalarmstarter.alarmdata.feign.fallback;

import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

import com.persagy.apm.energyalarmstarter.alarmdata.feign.client.AlarmClient;

import lombok.extern.slf4j.Slf4j;

/**
 * 降级处理
 *
 * @author lixing
 * @version V1.0 2021/9/15 10:59 下午
 */
@Slf4j
@Component
public class AlarmClientFallbackFactory implements FallbackFactory<AlarmClient> {
    @Override
    public AlarmClient create(Throwable throwable) {
       return null;
    }
}
